package org.xyzh.common.wechat.kefu.account;

/**
 * @description    客服账号管理 Handler 接口
 *                 业务模块可实现此接口处理账号变更事件
 * @filename    KefuAccountHandler.java
 * @author    yslg
 * @copyright xyzh
 * @since 2025-12-19
 */
public interface KefuAccountHandler {

    /**
     * 客服账号添加成功
     */
    default void onAccountAdded(String openKfid, String name) {}

    /**
     * 客服账号删除成功
     */
    default void onAccountDeleted(String openKfid) {}

    /**
     * 客服账号修改成功
     */
    default void onAccountUpdated(String openKfid, String name) {}

}
